Bulk get assets

Base URL
https://{kibana_url}
  • POST /api/fleet/epm/bulk_assets
  • POST /s/{space_id}/api/fleet/epm/bulk_assets
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

assetIds object[] required

list of items necessary to fetch assets

id string
type string

Responses

OK

application/json
items object[] required
attributes object
description string
title string
id string
type union oneOf
Values: dashboard visualization search index_pattern map lens security_rule csp_rule_template ml_module tag osquery_pack_asset osquery_saved_query index component_template ingest_pipeline index_template ilm_policy transform data_stream_ilm_policy ml_model
updatedAt string

Generic Error

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}